##### Predefinitions #####
%define name		kmldonkey
%define version		2.0.7
%define release		%mkrel 3
%define major		5
%define libname		%mklibname %{name} %major
%define libnamedev	%mklibname %{name} -d

##### Header #####
Summary:	A frontend for MLDonkey
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
License:	GPL
Group:		Graphical desktop/KDE
URL:		http://extragear.kde.org/apps/kmldonkey/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	mldonkey
BuildRequires:	kde4-macros
BuildRequires:	kdelibs4-devel
##### Description #####
%description
KMLDonkey is a frontend for MLDonkey, a powerful P2P file sharing tool,
designed for the KDE desktop.

Authors:
Sebastian Sauer
Petter E. Stokke

##### Subpackages #####
%package -n %{libname}
Summary:	KMLDonkey libraries
Group:		System/Libraries

%description -n %{libname}
Libraries needed by %{name}

%package -n %{libnamedev}
Summary:	Static libraries and headers for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}

%description -n %{libnamedev}
%{libnamedev} contains the libraries and header files needed to
develop programs which make use of %{name}.


##### Prep, Build & Install #####
%prep
%setup -q 

%build
%cmake_kde4

%make

%install
rm -rf %{buildroot}
cd build
%makeinstall_std

##### Post & Postun #####
%if "%{distribution}" == "Mandriva Linux"
	%if %mdkversion < 200900
		%post -n %{libname} -p /sbin/ldconfig

		%postun -n %{libname} -p /sbin/ldconfig
	%endif
%endif
##### Clean #####
%clean
rm -rf %{buildroot}

##### Files #####
%files -n %{libname}
%{_kde_libdir}/*.so.*
#{_kde_datadir}/locale/*/*/kmldonkey.mo

%files -n %{libnamedev}
%{_kde_includedir}/kmldonkey/*.h                                               
%{_kde_libdir}/kde4/*.so
%{_kde_libdir}/*.so

%files
%defattr(-,root,root,0755)
%{_kde_bindir}/kmldonkey                                                
%{_kde_applicationsdir}/kmldonkey.desktop                                   
%{_kde_appsdir}/kmldonkey/icons/hicolor/*/apps/*
%{_kde_appsdir}/kmldonkey/*rc                                         
%{_kde_iconsdir}/hicolor/*/apps/*
%{_kde_services}/*-kmldonkey.desktop                         
%{_kde_libdir}/kde4/plasma_engine_kmldonkey.so
%{_kde_libdir}/kde4/plasma_applet_kmldonkey.so

##### Changelog #####


%changelog

* Sun Oct 02 2011 dlucio <dlucio> 2.0.7-3.mga2
+ Revision: 150947
- Fixing Bug 2890
- we were missing plasma related files
- imported package kmldonkey


* Sun Nov 07 2009 Daniel Lucio <dlucio@okay.com.mx> 2.0.5-69.1mib2010.0
- New version 2.0.5

* Thu Nov 05 2009 Daniel Lucio <dlucio@okay.com.mx> 2.0.3-0.963672svn.69mib2009
- MIB (Mandriva Italia Backport) - http://mib.pianetalinux.org/

* Tue May 05 2009 Oliver Burger <rpm@mandrivauser.de> 2.0.3-0.963672svn.1mud2009.1
- new revision 963672

* Wed Oct 29 2008 Oliver Burger <rpm@mandrivauser.de> 2.0.3-0.876236svn.2mud2009.0
- splitted into sub-packages

* Fri Oct 24 2008 Oliver Burger <rpm@mandrivauser.de> 2.0.3-0.876236svn.1mud2009.0
- initial package for Mandriva Linux
